> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# verifyGitHubInstallation

> Verify GitHub app installation for a repository



## OpenAPI

````yaml POST /github-integration/verify
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /github-integration/verify:
    post:
      tags:
        - GitHub
      summary: Verify Git Hub Installation
      description: Verify GitHub app installation for a repository
      operationId: verifyGitHubInstallation
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                repositoryOwner:
                  type: string
                  minLength: 1
                repositoryName:
                  type: string
                  minLength: 1
              required:
                - repositoryOwner
                - repositoryName
      responses:
        '200':
          description: Verification result
          content:
            application/json:
              schema:
                type: object
                properties:
                  installed:
                    type: boolean
                  message:
                    type: string
                required:
                  - installed
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````